Status: Resolved Priority: Should have
Updated: 2012-06-26 Due date:
PHP Version:
Has patch: No
Complexity: no-brainer
Affected Flow version: Git 1.1
Subject: IdentityRoutePart should accept __identity array
Description

Since #37403 IdentityRoutePart::matchValue() returns an identity array in the format array('__identity' => '<Identifier>').
This format should also be accepted for IdentityRoutePart::resolveValue().
This is required for widgets that fetch the arguments from the current request and pass it to the UriBuilder.

Related issues:
related to TYPO3.Flow - Bug # 37403: IdentityRoutePart should set __identity ... Resolved 2012-05-22

Associated revisions
Revision 23a2b37d - 2012-06-26 15:37 - Bastian Waidelich

[BUGFIX] IdentityRoutePart should accept identity array

IdentityRoutePart::matchValue() returns an identity array in
the format array('__identity' => '<Identifier>') (see #37403).

This change ajusts resolveValue() to accept arrays in that
format, too.
This is required for widgets that fetch arguments from the
current request and pass them to the UriBuilder.

Change-Id: Iabad3d2f40818d545c0f7697775befa73ecf2e09
Resolves: #38404
Releases: 1.1, 1.2

Revision bd08fb99 - 2012-06-26 15:39 - Bastian Waidelich

[BUGFIX] IdentityRoutePart should accept identity array

IdentityRoutePart::matchValue() returns an identity array in
the format array('__identity' => '<Identifier>') (see #37403).

This change ajusts resolveValue() to accept arrays in that
format, too.
This is required for widgets that fetch arguments from the
current request and pass them to the UriBuilder.

Change-Id: Iabad3d2f40818d545c0f7697775befa73ecf2e09
Resolves: #38404
Releases: 1.1, 1.2

History
#1 - 2012-06-26 15:37 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12381

#2 - 2012-06-26 15:39 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12382

#3 - 2012-06-26 17:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bd08fb9999a31a8f76173f7b31d6660ce14e4905.
